import { ChangeDetectorRef, OnDestroy, OnInit } from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';
import { BehaviorSubject } from "rxjs";
import { GlobalStateService, PageInfoService } from 'tango-app-ui-global';
import { FormBuilder, FormControl, FormGroup } from '@angular/forms';
import { TraxService } from '../../services/trax.service';
import { Checklist, ChecklistFlagList, DetectionData, FlagCardTrends, FlagCardValues, HeaderFilter, StoreOpenCloseData } from './flags-info.interface';
import dayjs from "dayjs";
import { ToastService } from 'tango-app-ui-shared';
import * as i0 from "@angular/core";
export declare class FlagsInfoComponent implements OnDestroy, OnInit, OnDestroy {
    private route;
    gs: GlobalStateService;
    private traxService;
    private cd;
    private router;
    private toastService;
    private pageInfo;
    private fb;
    dayjs: typeof dayjs;
    private destroy$;
    itemsPerPage: number;
    currentPage: number;
    totalItems: number;
    paginationSizes: number[];
    pageSize: number;
    sortColumName: string;
    sortDirection: number;
    userEmailes: any;
    headerData: HeaderFilter | null | undefined;
    checklistSelectControl: FormControl;
    searchInput: FormControl;
    checkLists: Checklist[];
    checkListsApiState: BehaviorSubject<"initial" | "loading" | "loaded">;
    currentChecklist: Checklist | null | undefined;
    checklistFlagList: ChecklistFlagList | null | undefined;
    flagsTableApiState: BehaviorSubject<"initial" | "loading" | "loaded">;
    flagCardValues: FlagCardValues | null | undefined;
    flagsCardValuesState: BehaviorSubject<"initial" | "loading" | "loaded">;
    flagCardTrends: FlagCardTrends | null | undefined;
    unattendedSummaryChartNumber: number;
    dateComparisonType: 'daily' | 'weekly' | 'monthly';
    customFlagType: 'question' | 'flag' | 'all' | 'runAI';
    selectedlistselectControl: FormControl;
    form: FormGroup;
    statusselectControl: {
        _id: string;
        label: string;
    }[];
    traxMonthlyComparisonData: any;
    constructor(route: ActivatedRoute, gs: GlobalStateService, traxService: TraxService, cd: ChangeDetectorRef, router: Router, toastService: ToastService, pageInfo: PageInfoService, fb: FormBuilder);
    ngOnDestroy(): void;
    ngOnInit(): void;
    setPageData(): void;
    getChecklists(): void;
    getFlagsTable(): void;
    exportTable(): void;
    getCardValues(): void;
    getCardTrends(): void;
    sortData(column: string): void;
    onPageSizeChange(pageSize: any): void;
    onPageChange(pageOffset: any): void;
    onBack(): void;
    storeView(data: any): void;
    onView(flagData: StoreOpenCloseData | DetectionData): void;
    reInitiate(flagData: DetectionData): void;
    onChecklistSelect(event: Checklist): void;
    isToday(dateString: string): boolean;
    onValueChangeStatusSelect(value: any): void;
    dateComparisonValueChange(val: 'daily' | 'weekly' | 'monthly'): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FlagsInfoComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FlagsInfoComponent, "lib-flags-info", never, {}, {}, never, never, false, never>;
}
